hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Luke Lu (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-9594) Update apache commons math dependency
Date Wed, 05 Jun 2013 20:17:20 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-9594?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13676296#comment-13676296
] 

Luke Lu commented on HADOOP-9594:
---------------------------------

This is an incompatible change. Can you tell me why can't we just upgrade to 2.2? BTW, math
3.x and 2.x can be used side by side as the package name for 3.x is in math3.
                
> Update apache commons math dependency
> -------------------------------------
>
>                 Key: HADOOP-9594
>                 URL: https://issues.apache.org/jira/browse/HADOOP-9594
>             Project: Hadoop Common
>          Issue Type: Improvement
>          Components: build
>    Affects Versions: 3.0.0, 2.1.0-beta
>            Reporter: Timothy St. Clair
>              Labels: maven, newbie
>             Fix For: 2.1.0-beta
>
>         Attachments: HADOOP-9594.patch
>
>
> Current dependency is against 2.1 which has been deprecated, and numerous bugz have been
fixed since then.  See http://commons.apache.org/proper/commons-math/changes-report.html for
details.  This also affects mvn-rpmbuild when running on newer platforms e.g. Fedora 18. 

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message